#include "HoudiniOutputObject.h"


FHoudiniOutputObject::FHoudiniOutputObject()
{
	this->OutputObject = NULL;
	this->OutputComponents = TArray<UObject*>();
	this->OutputActors = TArray<TSoftObjectPtr<AActor>>();
	this->ProxyObject = NULL;
	this->ProxyComponent = NULL;
	this->bProxyIsCurrent = false;
	this->bIsImplicit = false;
	this->bIsInvisibleCollisionMesh = false;
	this->bIsGeometryCollectionPiece = false;
	this->GeometryCollectionPieceName = TEXT("");
	this->BakeName = TEXT("");
	this->CurveOutputProperty = FHoudiniCurveOutputProperties{};
	this->CachedAttributes = TMap<FString, FString>();
	this->CachedTokens = TMap<FString, FString>();
	this->UserFoliageType = NULL;
	this->FoliageType = NULL;
	this->World = NULL;
	this->DataLayers = TArray<FHoudiniDataLayer>();
	this->HLODLayers = TArray<FHoudiniHLODLayer>();
	this->LevelInstanceParams = FHoudiniLevelInstanceParams{};
}
